- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::ConstShapeVisitor Class Reference

Inheritance diagram for osg::ConstShapeVisitor:

[legend]
List of all members.

## Public Member Functions
| ConstShapeVisitor ()
virtual void | apply (const Sphere &)
virtual void | apply (const Box &)
virtual void | apply (const Cone &)
virtual void | apply (const Cylinder &)
virtual void | apply (const Capsule &)
virtual void | apply (const InfinitePlane &)
virtual void | apply (const TriangleMesh &)
virtual void | apply (const ConvexHull &)
virtual void | apply (const HeightField &)
virtual void | apply (const CompositeShape &)

## Constructor & Destructor Documentation

osg::ConstShapeVisitor::ConstShapeVisitor | ( |  | ) | `[inline]`

## Member Function Documentation

virtual void osg::ConstShapeVisitor::apply | ( | const CompositeShape & |  | ) | `[inline, virtual]`

virtual void osg::ConstShapeVisitor::apply | ( | const HeightField & |  | ) | `[inline, virtual]`

virtual void osg::ConstShapeVisitor::apply | ( | const ConvexHull & |  | ) | `[inline, virtual]`

virtual void osg::ConstShapeVisitor::apply | ( | const TriangleMesh & |  | ) | `[inline, virtual]`

virtual void osg::ConstShapeVisitor::apply | ( | const InfinitePlane & |  | ) | `[inline, virtual]`

virtual void osg::ConstShapeVisitor::apply | ( | const Capsule & |  | ) | `[inline, virtual]`

virtual void osg::ConstShapeVisitor::apply | ( | const Cylinder & |  | ) | `[inline, virtual]`

virtual void osg::ConstShapeVisitor::apply | ( | const Cone & |  | ) | `[inline, virtual]`

virtual void osg::ConstShapeVisitor::apply | ( | const Box & |  | ) | `[inline, virtual]`

virtual void osg::ConstShapeVisitor::apply | ( | const Sphere & |  | ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- Shape